Subject: Re: [PATCH 0/3] making --first-parent imply -m

From: Junio C Hamano <[email-masked]>
Date: Tue, 28 Jul 2020 09:48:20 -0700

Jeff King <[email-masked]> writes:

> For some projects, it's useful to walk the first parent history, looking
> at each merge commit as a normal commit introducing all of the changes
> no its side branch. E.g.:
>
>   git log --first-parent -m -Sfoo -p
>
> might show you the topic or pull request that introduced code "foo". But
> I quite often forget to add "-m", and get confused that it doesn't
> return any results.

Yes.  I agree that --first-parent should imply -m when combined with
diff options like -p, --raw, etc.  I am not sure if -m should kick
in without any diff options, though.  Doesn't it have side effects?

Thanks.